# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models, api


class AccEnedisEnergy(models.Model):
    _name = "acc.enedis.energy"
    _description = "Données pour les quantités d'énergie"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char("Libellé du fichier")
    acc_operation_id = fields.Many2one(
        "acc.operation",
        "Opération",
        required=True,
        ondelete="cascade")
    acc_counter_id = fields.Many2one('acc.counter', "ID PRM")
    comp_data_type = fields.Selection([
        ("autocons", "autocons"),
        ("cons", "cons"),
        ("prod", "prod"),
        ("surplus", "surplus"),
        ("complement", "complement"),
    ],
        string="Type de donnée calculée"
    )
    qty_name_calculated = fields.Char("Nom de la quantité calculée")
    cadran = fields.Char("Numéro du cadran de la quantité calculée")
    power = fields.Float("Valeur de la quantité en kWh")
    date_start = fields.Date("Date début")
    date_end = fields.Date("Date fin")

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
